Bug 973809 - oo-admin-clear-pending-ops has no man page or indication what it's for
Summary: oo-admin-clear-pending-ops has no man page or indication what it's for
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Pod (Show other bugs)
(Show other bugs)
Version: 1.2.0
Hardware: Unspecified Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Luke Meyer
QA Contact: libra bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 977929
TreeView+ depends on / blocked
 
Reported: 2013-06-12 19:44 UTC by Luke Meyer
Modified: 2017-03-08 17:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: oo-admin-clear-pending-ops was missing a man page. Consequence: Administrators would not know how to use this tool without consulting the source. Fix: Man page added. Result: Better documentation.
Story Points: ---
Clone Of:
: 977929 (view as bug list)
Environment:
Last Closed: 2014-02-04 14:28:27 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Luke Meyer 2013-06-12 19:44:19 UTC
Description of problem:
oo-admin-clear-pending-ops is described internally but not documented for our users.

Expected results:
man oo-admin-clear-pending-ops should tell us how to use it and what it's for.
oo-admin-clear-pending-ops -h should tell us what it's for.

Might be a good idea to mention it in the Troubleshooting Guide too.

Comment 3 Jason DeTiberus 2013-06-25 15:25:48 UTC
All broker-util scripts in need of manpages:
  /usr/sbin/oo-admin-clear-pending-ops
  /usr/sbin/oo-admin-ctl-authorization
  /usr/sbin/oo-analytics-export
  /usr/sbin/oo-analytics-import

Comment 4 Luke Meyer 2013-07-24 01:23:21 UTC
https://github.com/openshift/enterprise-server/pull/114

from origin-server/master:

commit 4b4a3e68fe7e0cc41a1f90bea722f7a5bfd3a2dd
Author: Luke Meyer <lmeyer@redhat.com>
Date:   Mon Jul 22 14:02:16 2013 -0400

    <oo-admin-clear-pending-ops> man page added

Comment 6 Gaoyun Pei 2013-07-25 06:43:55 UTC
Verify this bug on puddle 1.2/2013-07-24.2 for the manpage has been added for command "oo-admin-clear-pending-ops", "oo-auto-idler".


Note You need to log in before you can comment on or make changes to this bug.